Package org.apache.activemq.artemis.jms.bridge

## Interface JMSBridgeControl

- All Superinterfaces:
    `ActiveMQComponentControl`
  All Known Implementing Classes:
    `JMSBridgeControlImpl`

      public interface JMSBridgeControl
      extends ActiveMQComponentControl

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClientID()` |
    `long` | `getFailureRetryInterval()` |
    `int` | `getMaxBatchSize()` |
    `long` | `getMaxBatchTime()` |
    `int` | `getMaxRetries()` |
    `java.lang.String` | `getQualityOfServiceMode()` |
    `java.lang.String` | `getSelector()` |
    `java.lang.String` | `getSourcePassword()` |
    `java.lang.String` | `getSourceUsername()` |
    `java.lang.String` | `getSubscriptionName()` |
    `java.lang.String` | `getTargetPassword()` |
    `java.lang.String` | `getTargetUsername()` |
    `boolean` | `isAddMessageIDInHeader()` |
    `boolean` | `isFailed()` |
    `boolean` | `isPaused()` |
    `void` | `pause()` |
    `void` | `resume()` |
    `void` | `setAddMessageIDInHeader​(boolean value)` |
    `void` | `setClientID​(java.lang.String clientID)` |
    `void` | `setFailureRetryInterval​(long interval)` |
    `void` | `setMaxBatchSize​(int size)` |
    `void` | `setMaxBatchTime​(long time)` |
    `void` | `setMaxRetries​(int retries)` |
    `void` | `setQualityOfServiceMode​(java.lang.String mode)` |
    `void` | `setSelector​(java.lang.String selector)` |
    `void` | `setSourcePassword​(java.lang.String pwd)` |
    `void` | `setSourceUsername​(java.lang.String name)` |
    `void` | `setSubscriptionName​(java.lang.String subname)` |
    `void` | `setTargetPassword​(java.lang.String pwd)` |
    `void` | `setTargetUsername​(java.lang.String name)` |

    - ### Methods inherited from interface org.apache.activemq.artemis.api.core.management.ActiveMQComponentControl

      `isStarted, start, stop`

- - ### Method Detail

    - #### pause

          void pause()
              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### resume

          void resume()
               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSourceUsername

          java.lang.String getSourceUsername()

    - #### setSourceUsername

          void setSourceUsername​(java.lang.String name)

    - #### getSourcePassword

          java.lang.String getSourcePassword()

    - #### setSourcePassword

          void setSourcePassword​(java.lang.String pwd)

    - #### getTargetUsername

          java.lang.String getTargetUsername()

    - #### setTargetUsername

          void setTargetUsername​(java.lang.String name)

    - #### getTargetPassword

          java.lang.String getTargetPassword()

    - #### setTargetPassword

          void setTargetPassword​(java.lang.String pwd)

    - #### getSelector

          java.lang.String getSelector()

    - #### setSelector

          void setSelector​(java.lang.String selector)

    - #### getFailureRetryInterval

          long getFailureRetryInterval()

    - #### setFailureRetryInterval

          void setFailureRetryInterval​(long interval)

    - #### getMaxRetries

          int getMaxRetries()

    - #### setMaxRetries

          void setMaxRetries​(int retries)

    - #### getQualityOfServiceMode

          java.lang.String getQualityOfServiceMode()

    - #### setQualityOfServiceMode

          void setQualityOfServiceMode​(java.lang.String mode)

    - #### getMaxBatchSize

          int getMaxBatchSize()

    - #### setMaxBatchSize

          void setMaxBatchSize​(int size)

    - #### getMaxBatchTime

          long getMaxBatchTime()

    - #### setMaxBatchTime

          void setMaxBatchTime​(long time)

    - #### getSubscriptionName

          java.lang.String getSubscriptionName()

    - #### setSubscriptionName

          void setSubscriptionName​(java.lang.String subname)

    - #### getClientID

          java.lang.String getClientID()

    - #### setClientID

          void setClientID​(java.lang.String clientID)

    - #### isAddMessageIDInHeader

          boolean isAddMessageIDInHeader()

    - #### setAddMessageIDInHeader

          void setAddMessageIDInHeader​(boolean value)

    - #### isPaused

          boolean isPaused()

    - #### isFailed

          boolean isFailed()